NSX-T Data Center REST API

Read a third party IPAM provider views

Read third party IPAM provider views with given Id.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/third-party-ipam-providers/{provider-instance-id}/views
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/third-party-ipam-providers//get-views

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
IpamThirdPartyProviderViews+

Example Response:

{ "network_views": [ { "view_name": "default", "view_ref_id": "networkview/ZG5zLm5ldHdvcmtfdmlldyQw:default/true" } ], "dns_views": [ { "view_name": "default", "view_ref_id": "view/ZG5zLnZpZXckLl9kZWZhdWx0:default/true" } ] }

Required Permissions:

read

Feature:

third_party_ipam

Additional Errors: